Introduction

HTML Help for Blocker Plains 4.0

Blocker Plains for Windows

HTML Help Hyperlinks

Popup-Menu Base... Balls... Tone... Language...

Game-instruction

Blocker Plains is a video game with balls, ball blocker and stone-plains.

Aim from Blocker Plains is to remove the stones on the game field through touches with the rotating ball-objects quickly and to reach a high score with it in order to be accepted into the Champions-list.

For the basic attitude of the game-course stand for each player, the game-levels „very easy ", „easy ", „middle", „difficult", „very difficult" and „individual" as Popup-Menu points to the selection. For a fair course however, this setting only becomes to the beginning of the next round validly.

The game-level influences the size of the Blocker and the balls as well as the ball-speed, also linearly and exponentially impulsive, and the ball-gravity.

The following attitudes are made for the individual game levels:

„very easy": variable maximum Blocker-size six with variable minimal ball-speed one and maximum variable ball-size six.

„easy": variable Blocker-size five with variable ball-speed two and variable ball-size five.

„middle": variable Blocker-size five with variable ball-speed three and variable ball-size four. Constant gravity-factor two.

„difficult": variable Blocker-size four with variable ball-speed three and constant ball-size four. Variable gravity-factor two.

„very difficult": variable Blocker-size four with variable, linearly impulsive ball-speed three and constant ball-size three. Variable gravity-factor three.

„individual": the individually changed settings are taken on and remain gotten for the next round.

In order to hold the balls in the game, the Blocker can be moved with the mouse or with the cursor-buttons in all directions. The Ctrl-button makes possible more finely voted movement-steps in connection with the cursor-buttons.

With the right mouse-button, the pause- or F2-button can be interrupted Blocker Plains anytime.

In such a game-pause, the game-attitudes can be altered like for example the game-level or the sound-topic with the Popup-Menu of Blocker Plaines or this game-instruction can be called.

 Com.1:    the Blocker is to be used only to blocking of the balls and to the influence of their direction. He cannot be used as club and also cannot cross balls and stones.

Com.2:    for an optimal Blocker control with the keyboard, is to be put in a minimal postponement in the System control / Keyboard of Windows with a maximum Repetition-rate.

Game-beginning:

to the program-start, you can input the player-names in a dialog-box. The first input-place is always used in Blocker Plains.

The name of the actively at Blocker Plains involved player is shown in the score-ad with the still existing attempts and with his current score.

After the input of the player-names, the stone-plain is built, the first ball positioned and the Popup-Menu is shown at the current position of the cursor.

Game-course:

with the Popup-menu-item ”Start !” the blocker appears instead of the menu. The first ball immediately moves forward and must be held further with the Blocker in the game.

Task of the player is to remove the stones in an as short as possible time period through multiple touches with the balls and to reach a high score with it.

If no ball has touched the Blocker within a span of time, dependent from the ball-speed, and also no ball has left the game field appears at an optional position in the low third of the game field another ball that is tied in into the game-course.

If almost all stones of the game field are removed, the game is continued with the reached point-stand and a new stone-order for the next player.

An attempt for a player is finished if no more ball exists on the game field before the stones of the game field were removed.

When all attempts, marked as red circles in the score-rectangle, are used and the Champions-list was reached with the high score, the player can register in it with his name and a small comment to it.

Com.: the chart-place reached by the player is taken only after this entry in the score-ad of Blocker Plains into account.

Player-rotation:

 with several players are stored the game-attitudes for the old player and read the preceding attitudes for the new again.

For a fair game-course is changed the stone-plain and altered the stone-size only for the first player.

To this are corrected the checkmarks of the Popup-Menu and all sides of an opened Property Sheet will be initialized again.

Point-award:

The current score increases itself with each blocking with the Blocker and after a stone-touch about one, for each removed wall-stone about three points.

 In dependence of the game-level is declared the score after each expired game-second new again.

On this occasion is considered the current speed and the gravity-factor of the balls as well as the size of the Blocker and the balls. The determined point-increase, that can lie for each ball between -2.6 to +3.8, is written into a text-field of the basis dialog-window.

Further help-texts can you call of with demand with the help-button or with the ?-button within the dialog-windows.

Much fun !

jk-ware, Dipl.-Ing. Reinhard Jakob

HTML Help may be free copied


Popup-Menu

Popup-Menu Selection

Start !

Hereby, you start the game-course

Game-level >

Here, you can select one of six levels for the game-course: „very easy", „easy", „middle", „difficult", „very difficult" and „individual".

The game-level influences the size of the Blocker and the balls as well as the ball-speed, also linearly and exponentially impulsive, and the ball-gravity.

For the individual game levels are made the following attitudes:

„very easy": variable maximum Blocker-size six with variable minimal ball-speed one and maximum variable ball-size six.

„easy": variable Blocker-size five with variable ball-speed two and variable ball-size five.

„middle": variable Blocker-size five with variable ball-speed three and variable ball-size four. Constant gravity-factor two.

„difficult": variable Blocker-size four with variable ball-speed three and constant ball-size four. Variable gravity-factor two.

„very difficult": variable Blocker-size four with variable, linearly impulsive ball-speed three and constant ball-size three. Variable gravity-factor three.

„individual": the individually changed attitudes are taken on and remain gotten for the next round.

Background >

With this menu-point, you select different background-patterns for the game-course:

”Bitmap” changes between twenty four colored pictures.

For ”Desktop” is done a snapshot of the current background of Blocker Plains. To this, the program-window is reduced for approximately a second to the symbol.

”Brush-pattern” changes between twelve small Windows-bitmaps

Sound-topic >

Here, you have the selection under seven different sound-topics: Blocker, Leisure time, Future, Robots, Pop music, Oriental and Gipsy.

With ”Sound off” takes place a silent game-course.

Listener-position >

In Blocker Plains, the sounds are passed out three-dimensional.

You can select with it under following four listener-positions:

Game field-middle: the player is in the middle of the area

First ball: the player is at the position of the first generated 3D-Object.

Blocker: the player is at the Blocker-position

Elevator: the player retrogresses within two seconds on the game field downward and again from above.

With ”3D Sound off” changes the three-dimensional- to the mono-sound-output. Mono is essentially faster with slower calculators with older sound-cards.

Blocker Plains >

Opens a Dialog-window (modeless Property Sheet) with five sides (Property Pages) to the selection of further game-attitudes.

End !

Finishes Blocker Plains under Windows.


Base...

Dialog-window Base

Start !

Starts the game-course.

Players...

with this button, player-names can be replaced, deleted or again new added.

Blocker-size

Input here the Blocker-size from one to six.

The Blocker-size is only altered after the game-start or during the game-course, if the new Blocker fits into the game field without crossing the game field-edge or stones and balls with it.

If the Checkbox variable is marked, the Blocker-size can decrease in the game-course from the last input-value until on two.
To the beginning of a new round, the Blocker-size is set to the last input-value again.

Ball-speed

Here, you can determine the common speed for all balls. The allowable area is from one to six.

With a marked Checkbox variable can increase the ball-speed during the game-course from the last input-value until on six.
To the beginning of a new round, the ball-speed is set to the last input-value again.

impulsive

With the Checkmark impulsive is selected a linear or exponential movement of the balls:

linear: the ball-movement decreases from the double of the common speed until almost to the halt continually.

exponential: the ball-movement decreases exponentially from the 2,24-times of the common speed until almost to the halt.

Game-level

The text of the group-field shows the currently realized game-level for the player.

Point increase / s

In the text-field becomes indicated the point-increase calculated for each second, which can lie for each ball between -2.6 to +3.8.

On this occasion is considered the current speed and the gravity-factor of the balls as well as the size of the Blocker and the balls.


Balls...

Dialog-window Balls

Ball-size

Into this Edit-field, you input a digit from one to six to the calculation of the ball-size.

The input only becomes valid to the beginning of a new game-section.

If the Checkbox variable is marked, the balls are generated to the beginning of a new round in the sizes of the last input-value up to the double of it.

maximum ball-number

This value restricts the number of balls, that can be simultaneously on the game field.

If the game-course looks with too many balls irregular or it comes to a bad graphic-output, you please write down a smaller value.

Gravity

This input determines the gravity-factor for the balls from one to six. Zero stands for a ball-movement without gravity.

With a marked Checkbox variable can increase the gravity-factor during the game-course from the last input-value until on six.
To the beginning of a new round, the gravity-factor is set to the last positive input-value again.

synchronized ball-output

With a marked Checkbox, the balls are represented to the screen-output synchronized. This is only possible if the driver of the graphics card has DirectDraw capabilities.

Especially with several balls existing on the game field, time-problems can appear with the graphic output, that an irregular ball-speed has as consequence.

If this should impair the game-course strongly, you please choose the unsynchronized ball-output through a demarcated Checkbox or reduce the Blocker Plains-window under Windows.

int-Arithmetic

For processors without floating-point unit, a calculation of the ball-bitmaps is available with fixed-point arithmetic.

MaskBlit

When selected, the bitmaps are displayed with the fast MaskBlt function.


Graphics...

Dialog-window Graphics

Stone-size

Here can be fixed the stone-size from one to six for the stone-plains.
For a fair game-course can be enforced this alteration only to the beginning of a round by the first player.

Also with a variable stone-size, the stone-plain is only generated in an accidental size to the beginning of a new round.

Background

Here, you select different background-patterns for the game-course:

”Bitmap” changes between twenty four colored pictures.

With ”Desktop” is done a snapshot of the current background of Blocker Plains. To this, the program-window is reduced for approximately a second to the symbol.

”Brush-pattern” changes between twelve small Windows-bitmaps.

Bitmap-changes

If this Checkbox is marked, for the background-menu-point „bitmap“ existing patterns for each player are changing.

If a background-pattern pleases you especially well, it can be retained by a demarcated Checkbox.

Pictures / second

In this output-window, the calls of Blocker Plains within a second are passed out.

These are restricted for a synchronized game-course to the number of the vertical ray-traces (picture frequency) of the monitor.

For an unsynchronized game-course, Blocker Plains is called 85 times in the second maximum. With smaller values, this output is dependent of several factors: calculator speed, graphic expenditure and 3D-Sound.

Game-colors...

Opens a color-dialog to the color-selection for the stones and the game field-border.


Tone...

Dialog-window Tone

Sound-topic

Select under seven game-accompanied sound-topics here:
Blocker, Leisure time, Future, Robots, Pop music, Oriental and Gipsy.

It is passed out with direct sound-output (DirectSound) multi-voices direct 3D-Sound.

With ”Sound off” takes place no output from the sound-card.

Listener-position

Here, you determine the position of your ”ears” in the game-course:

With ”Field-middle”, ”First ball” and ”Blocker” your ears are in the middle of the game field, the first generated ball or the Blocker.

With ”Elevator” your ears retrogress in two seconds on the game field downward and again from above continuously.

With ”3D-Sound off” takes place the sound-output in mono. Mono is commendable for slower calculators with older sound-cards.


Language...

Dialog-window Language

User-language

Choose the language here for the menu and for the information-texts within Message-boxes.

Help-text-language

Determines the language for the HTML Help-text and the description of the dialog-windows. For „other“ can be tied in even further HTML Help texts under the file-name Blocker4_0_other.chm.

Game-instruction...

Shows a help-text with an introductory program-description.

about...

Opens a dialog-box with program-information and copyrights.


.topic 500
Start !

Starts the game-course.

.topic 501
Players...

with this button, player-names can be replaced, deleted or again new added.

.topic 507
Blocker-size

Input here the Blocker size from one to six.

The Blocker size is only altered after the game start or during the game course, if the new Blocker

fits into the game field without crossing the game field edge or stones and balls with it.

If the check box "variable" is selected, the Blocker-size can decrease in the game-course from the last input-value until on two.

To the beginning of a new round, the Blocker-size is set to the last input-value again.

.topic 505
Ball-speed

Input the common speed for all balls here. The allowable area is from one to six.

If the check box "variable" is selected, can increase the ball-speed during the game-course from the last input-value until on six.

To the beginning of a new round, the ball-speed is set to the last input-value again.

.topic 506
impulsive

With the Checkmark impulsive is selected a linear or exponential movement of the balls.

- linear: the ball-movement decreases from the double of the common speed until almost to the halt continually.

- exponential: the ball-movement decreases exponentially from the 2,24-times of the common speed until almost to the halt.

.topic 508
Game-level

The text of the group-field shows the currently realized game-level for the player.

.topic 509
Point increase / s

In the text-field becomes indicated the point-increase calculated for each second, which can lie for each ball between -2.6 to +3.8.

On this occasion is considered the current speed and the gravity-factor of the balls as well as the size of the Blocker and the balls.

.topic 512
Ball-size

Into this Edit-field, you input a digit from one to six to the calculation of the ball-size.

The input only becomes valid to the beginning of a new game-section.

If the Checkbox variable is marked, the balls are generated to the beginning of a new round in the sizes of the last input-value up to the double of it.

.topic 511
maximum ball-number

This value restricts the number of balls, that can be simultaneously on the game field.

If the gameplay looks irregularly with a too large number of balls, or there is a bad graphics output, please input a lower value.

.topic 517
Gravity

This input determines the gravity-factor for the balls from one to six. Zero stands for a ball-movement without gravity.

With a marked Checkbox variable can increase the gravity-factor during the game-course from the last input-value until on six.

To the beginning of a new round, the gravity factor is set to the last positive input-value again.

.topic 513
synchronized ball-output

With a marked Checkbox, the balls are represented to the screen-output synchronized. This is only possible if the driver of the graphics card has DirectDraw capabilities.

Especially with several balls existing on the game field, time-problems can appear with the graphic output, that an irregular ball-speed has as consequence.

If this should impair the game-course strongly, you please choose the unsynchronized ball-output through a demarcated Checkbox or reduce the Blocker Plains-window under Windows.

.topic 514
int-Arithmetic

For processors without floating-point unit, a calculation of the ball-bitmaps is available with fixed-point arithmetic.

.topic 515
MaskBlit

When selected, the bitmaps are displayed with the fast MaskBlt function.

.topic 520
Stone size

Here can be set from one to six the stone size for the stone plains.

For a fair game play, this change can only be done at the beginning of a round by the first player.

Also with a variable stone size, the stone plain is only generated to the beginning of a new game round in a random size.

.topic 521
Background

With this menu-point, you select different background-patterns for the game-course:

· ”Bitmap” changes between twenty four colored pictures.

· With ”Desktop” is done a snapshot of the current background of Blocker Plains. To this, the program-window is reduced for approximately a second to the symbol.

· ”Brush-pattern” changes between twelve small Windows-bitmaps.

.topic 522
Bitmap-changes

If this Checkbox is marked, for the background-menu-point „bitmap“ existing patterns for each player are changing.

If a background-pattern pleases you especially well, it can be retained by a demarcated Checkbox.

.topic 516
Pictures / second

In this output-window, the calls of Blocker Plains within a second are passed out.

These are restricted for a synchronized game-course to the number of the vertical ray-traces (picture frequency) of the monitor.

For an unsynchronized game-course, Blocker Plains is called 85 times in the second maximum. With smaller values, this output is dependent of several factors: calculator speed, graphic expenditure and 3D-Sound.

.topic 523
Game-colors...

Opens a color-dialog to the color-selection for the stones and the game field-border.

.topic 525
Sound-topic

Select under seven game-accompanied sound-topics here:
Blocker, Leisure time, Future, Robots, Pop music, Oriental and Gipsy.

It is passed out with direct sound-output (DirectSound) multi-voices direct 3D-Sound.

With ”Sound off” takes place no output from the sound-card.

.topic 526
Listener-position

Here, you determine the position of your ”ears” in the game-course:

With ”Field-middle”, ”First ball” and ”Blocker” your ears are in the middle of the game field, the first generated ball or the Blocker.

With ”Elevator” your ears retrogress in two seconds on the game field downward and again from above continuously.

With ”3D-Sound off” takes place the sound-output in mono. Mono is commendable with slower calculators with older sound-cards.

.topic 530
User-language

Choose the language here for the menu and for the information-texts within Message-boxes.

.topic 531
Help-text-language

Determines the language for the HTML Help-text and the description of the dialog-windows. For „other“ can be tied in even further HTML Help texts under the file-name Blocker4_0_other.chm.

.topic 535
Game-instruction...

Shows a help-text with an introductory program-description.

.topic 536
about...

Opens a dialog-box with program-information and copyrights.


Colors...

Dialog-window Colors

Selection of a color-palette

With the color-dialog-window, you can produce a palette of your favorite colors for the edition of the stones.

To this, you must alter the group of the self-defined colors in accordance with your wishes like follows:

- from the left to the right in the upper row incipient, after it from the left to the right in the lower row -

1. Background color for the stone-form with fence-patterns and the game field-border

2. Inside-color for a stone whose hit-number amounts to one, to remove him

Comment: there are stones which after a ball-hit change their inside-color to their about one reduced "hit-color" and such with a constant inside-color. A stone-form is represented the further to its "hit-color" also with the inverse color to this additionally.

3. Inside-color for a stone whose hit-number amounts to two, to remove him

4. ... hit-number amounts to three ...
.              .
.              .
.              .
15. ... hit-number amounts to fourteen ...

16. Inside-color for a stone whose hit-number amounts to fifteen and more to remove him.

Take the following actions for a color-change:

1. choose the color that you would like to alter from the group of the self defined colors:

click directly with the mouse on the color
or
move the framework of the selected element (input focus) with the tabulator button of the keyboard into the group of the self-defined colors. In this group, you select the color to be changed with the cursor buttons.

2. select the new color:

click with the mouse on one of the basis colors or on one of the colors in the color spectrum at the right side of the dialog-window
or
move the input focus with the keyboard like described above on one of the basis colors and select these through activity of the blank key or input numbers into the edit controls on the right side of the dialog-window.

3. insert the color into the group of the self-defined colors:

click with the mouse on the switch-field "add color“
or
move the input focus with the tabulator key to the switch-field "add color” and press the blank key or the enter key.

4. repeat the points 1. until 3., in order to select other colors.

5. make the selected colors through activity of the OK-button valid or discard your previous alterations through activity of the Cancel-button.

up